人力検索はてな
モバイル版を表示しています。PC版はこちら
i-mobile

Vine Linux 3.2上でMovable Typeを使っています。

MT3.35からMT4.1へのUpgrade自体はうまくいきました。

ただ、表示がおかしいのです。

現在のhttp://proc12.no-ip.biz/を見ていただけると分かると思います。

調べてみたら、
http://movabletype.jp/documentation/upgrade/#refresh_template
に、MT3からMT4へのアップグレードの直後には以前のテンプレートが
そのまま移行されています.....。

と言う記事があり、テンプレートを初期化する方法として
1.画面右上の「システムメニュー」から「ブログ」をクリックしてブログの一覧
画面を開きます。
2.該当のブログ名の左側にあるチェックボックスにチェックを入れます
3.「アクションプルダウンメニュー」から「テンプレートの初期化」を選択し
ます。

ここまできて、初期化をするのですが、「テンプレートの作成エラー:ブログに
同名のテンプレートが存在します。」とエラーになってしまいます。

このまま先へ進めず困っています。何か分かったら教えてください。よろしくお
願いします。

●質問者: inajyun
●カテゴリ:コンピュータ ウェブ制作
✍キーワード:Movable Type Vine Linux アクション アップグレード エラー
○ 状態 :終了
└ 回答数 : 2/2件

▽最新の回答へ

1 ● zelazny
●60ポイント

特定の環境で、アクションのテンプレート初期化を行った場合に、旧テンプレートが削除されずに同名テンプレートの作成を行おうとし、その様なエラーが発生する事が確認されています。

この場合、新規ブログとして作成する場合には問題は発生しない様です。

発生する環境が解った訳ではないですが、DBにSQLiteを使っている場合に起きるのでは無いかという話題が上がった事がありますが、その場合MySQLに変更して、問題が解決したという報告がありました。


2 ● redwing1
●10ポイント

バックアップをとってクリーンインストールした方がよい

関連質問


●質問をもっと探す●



0.人力検索はてなトップ
8.このページを友達に紹介
9.このページの先頭へ
対応機種一覧
お問い合わせ
ヘルプ/お知らせ
ログイン
無料ユーザー登録
はてなトップ